# class OpenURLEvent |
Full name | `KParts::OpenURLEvent`
Definition | `#include <browserextension.h>`
Inherits | KParts::Event [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- OpenURLEvent ( ReadOnlyPart *part, const KURL &url, const URLArgs &args = URLArgs() )
- virtual ~OpenURLEvent ()
- ReadOnlyPart * part () const
- KURL url () const
- URLArgs args () const

#### Public Static Methods

- static bool test ( const QEvent *event )

## Detailed Description

OpenURLEvent ( ReadOnlyPart *part, const KURL &url, const URLArgs &args = URLArgs() ) | ### OpenURLEvent

~OpenURLEvent () | ### ~OpenURLEvent

[virtual]

ReadOnlyPart * part () | ### part

[const]

KURL url () | ### url

[const]

URLArgs args () | ### args

[const]

bool test ( const QEvent *event ) | ### test

[static]

Reimplemented from Event.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:43:28 2001, using kdoc 2.0a53.